/**********************************************************************
** Copyright (C) 2000 Trolltech AS.  All rights reserved.
**
** This file is part of Qt Palmtop Environment.
**
** This file may be distributed and/or modified under the terms of the
** GNU General Public License version 2 as published by the Free Software
** Foundation and appearing in the file LICENSE.GPL included in the
** packaging of this file.
**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
** See http://www.trolltech.com/gpl/ for GPL licensing information.
**
** Contact info@trolltech.com if any conditions of this licensing are
** not clear to you.
**
**********************************************************************/
#ifndef GLOBAL_H
#define GLOBAL_H

#include <qstringlist.h>
class QDawg;

class Global
{
public:
    Global();

    static QStringList categories();

    // Dictionaries
    static const QDawg& fixedDawg();
    static const QDawg& addedDawg();
    // static QDawg& removedDawg(); -- if someone wants it
    static void addWords(const QStringList& word);
    // static void removeWords(const QStringList& word); -- if someone wants it

private:
    static void createCategories();
    
};

#endif
